summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorStephen Gallagher <sgallagh@redhat.com>2009-09-11 10:21:10 -0400
committerStephen Gallagher <sgallagh@redhat.com>2009-09-11 10:21:10 -0400
commitab6b1e0dcc018f49db296b3b0c2ce891d15d5efe (patch)
tree15f8f9fafdb6a25efe96e4019835f60fe919cc02
parentc7c0133178c0902a3086716a131f8da3e1570eb8 (diff)
downloadbuild_tools-ab6b1e0dcc018f49db296b3b0c2ce891d15d5efe.zip
build_tools-ab6b1e0dcc018f49db296b3b0c2ce891d15d5efe.tar.gz
build_tools-ab6b1e0dcc018f49db296b3b0c2ce891d15d5efe.tar.xz
Don't store the binary createrepo output in the logfiles
-rwxr-xr-xsssd-nightly.sh78
1 files changed, 67 insertions, 11 deletions
diff --git a/sssd-nightly.sh b/sssd-nightly.sh
index dd17b71..52c56ee 100755
--- a/sssd-nightly.sh
+++ b/sssd-nightly.sh
@@ -42,9 +42,27 @@ cp /var/lib/mock/fedora-11-i386/result/sssd-$datestamp-0.fc11.src.rpm /local/sga
cp /var/lib/mock/fedora-11-i386/result/sssd-debuginfo-$datestamp-0.fc11.i586.rpm /local/sgallagh/repos/f11/i386/DEBUGINFO
cp /var/lib/mock/fedora-11-i386/result/sssd-$datestamp-0.fc11.i586.rpm /local/sgallagh/repos/f11/i386/RPMS
-createrepo /local/sgallagh/repos/f11/SRPMS >> $LOGFILE 2>&1
-createrepo /local/sgallagh/repos/f11/i386/DEBUGINFO >> $LOGFILE 2>&1
-createrepo /local/sgallagh/repos/f11/i386/RPMS >> $LOGFILE 2>&1
+createrepo /local/sgallagh/repos/f11/SRPMS
+if [ $? -eq 0 ]; then
+ echo "Fedora 11 SRPM Repo updated" >> $LOGFILE
+else
+ echo "Fedora 11 SRPM Repo not updated" >> $LOGFILE
+fi
+
+
+createrepo /local/sgallagh/repos/f11/i386/DEBUGINFO
+if [ $? -eq 0 ]; then
+ echo "Fedora 11 i386 DEBUGINFO Repo updated" >> $LOGFILE
+else
+ echo "Fedora 11 i386 DEBUGINFO Repo not updated" >> $LOGFILE
+fi
+
+createrepo /local/sgallagh/repos/f11/i386/RPMS
+if [ $? -eq 0 ]; then
+ echo "Fedora 11 i386 RPM Repo updated" >> $LOGFILE
+else
+ echo "Fedora 11 i386 RPM Repo not updated" >> $LOGFILE
+fi
echo "===== CREATING FEDORA 11 x86_64 YUM REPOSITORY ====" >> $LOGFILE
mkdir -p /local/sgallagh/repos/f11/x86_64/DEBUGINFO
@@ -52,8 +70,19 @@ mkdir -p /local/sgallagh/repos/f11/x86_64/RPMS
cp /var/lib/mock/fedora-11-x86_64/result/sssd-debuginfo-$datestamp-0.fc11.x86_64.rpm /local/sgallagh/repos/f11/x86_64/DEBUGINFO
cp /var/lib/mock/fedora-11-x86_64/result/sssd-$datestamp-0.fc11.x86_64.rpm /local/sgallagh/repos/f11/x86_64/RPMS
-createrepo /local/sgallagh/repos/f11/x86_64/DEBUGINFO >> $LOGFILE 2>&1
-createrepo /local/sgallagh/repos/f11/x86_64/RPMS >> $LOGFILE 2>&1
+createrepo /local/sgallagh/repos/f11/x86_64/DEBUGINFO
+if [ $? -eq 0 ]; then
+ echo "Fedora 11 x86_64 DEBUGINFO Repo updated" >> $LOGFILE
+else
+ echo "Fedora 11 x86_64 DEBUGINFO Repo not updated" >> $LOGFILE
+fi
+
+createrepo /local/sgallagh/repos/f11/x86_64/RPMS
+if [ $? -eq 0 ]; then
+ echo "Fedora 11 x86_64 RPM Repo updated" >> $LOGFILE
+else
+ echo "Fedora 11 x86_64 RPM Repo not updated" >> $LOGFILE
+fi
echo "===== BUILDING RHEL 5 i386 =====" >> $LOGFILE
cd /local/sgallagh/sssd-$datestamp/rpmbuild/SRPMS
@@ -73,9 +102,26 @@ cp /var/lib/mock/epel-5-i386/result/sssd-$datestamp-0.el5.src.rpm /local/sgallag
cp /var/lib/mock/epel-5-i386/result/sssd-debuginfo-$datestamp-0.el5.i386.rpm /local/sgallagh/repos/rhel5/i386/DEBUGINFO
cp /var/lib/mock/epel-5-i386/result/sssd-$datestamp-0.el5.i386.rpm /local/sgallagh/repos/rhel5/i386/RPMS
-createrepo -s sha1 /local/sgallagh/repos/rhel5/SRPMS >> $LOGFILE 2>&1
-createrepo -s sha1 /local/sgallagh/repos/rhel5/i386/DEBUGINFO >> $LOGFILE 2>&1
-createrepo -s sha1 /local/sgallagh/repos/rhel5/i386/RPMS >> $LOGFILE 2>&1
+createrepo -s sha1 /local/sgallagh/repos/rhel5/SRPMS
+if [ $? -eq 0 ]; then
+ echo "RHEL5 SRPM Repo updated" >> $LOGFILE
+else
+ echo "RHEL5 SRPM Repo not updated" >> $LOGFILE
+fi
+
+createrepo -s sha1 /local/sgallagh/repos/rhel5/i386/DEBUGINFO
+if [ $? -eq 0 ]; then
+ echo "RHEL5 i386 DEBUGINFO Repo updated" >> $LOGFILE
+else
+ echo "RHEL5 i386 DEBUGINFO Repo not updated" >> $LOGFILE
+fi
+
+createrepo -s sha1 /local/sgallagh/repos/rhel5/i386/RPMS
+if [ $? -eq 0 ]; then
+ echo "RHEL5 i386 RPM Repo updated" >> $LOGFILE
+else
+ echo "RHEL5 i386 RPM Repo not updated" >> $LOGFILE
+fi
echo "===== CREATING RHEL 5 x86_86 YUM REPOSITORY ====" >> $LOGFILE
mkdir -p /local/sgallagh/repos/rhel5/x86_64/DEBUGINFO
@@ -83,9 +129,19 @@ mkdir -p /local/sgallagh/repos/rhel5/x86_64/RPMS
cp /var/lib/mock/epel-5-x86_64/result/sssd-debuginfo-$datestamp-0.el5.x86_64.rpm /local/sgallagh/repos/rhel5/x86_64/DEBUGINFO
cp /var/lib/mock/epel-5-x86_64/result/sssd-$datestamp-0.el5.x86_64.rpm /local/sgallagh/repos/rhel5/x86_64/RPMS
-createrepo -s sha1 /local/sgallagh/repos/rhel5/x86_64/DEBUGINFO >> $LOGFILE 2>&1
-createrepo -s sha1 /local/sgallagh/repos/rhel5/x86_64/RPMS >> $LOGFILE 2>&1
-
+createrepo -s sha1 /local/sgallagh/repos/rhel5/x86_64/DEBUGINFO
+if [ $? -eq 0 ]; then
+ echo "RHEL5 x86_64 DEBUGINFO Repo updated" >> $LOGFILE
+else
+ echo "RHEL5 x86_64 DEBUGINFO Repo not updated" >> $LOGFILE
+fi
+
+createrepo -s sha1 /local/sgallagh/repos/rhel5/x86_64/RPMS
+if [ $? -eq 0 ]; then
+ echo "RHEL5 x86_64 RPM Repo updated" >> $LOGFILE
+else
+ echo "RHEL5 x86_64 RPM Repo not updated" >> $LOGFILE
+fi
echo "===== Removing Source Tree =====" >> $LOGFILE
cd /local/sgallagh && rm -Rf sssd-$datestamp